/*! Parental Control V2.18 */
class Utils {
    constructor() {
     }
    filterItem(obj, item, url, noTrim) {
        function filterAnItem(el) {
            let source = el;
            if (!noTrim)
                source = el.trim();
            let rx = new RegExp(source, "gi");
            return rx.test(url);
        }

        let result = obj[item].filter(filterAnItem);
        if (result.length > 0) {
            return {
                label: item,
                value: result
            };
        }
        return {
            label: "",
            value: []
        };
    }
    parseUrl( url ) {
        let a = document.createElement('a');
        a.href = url;
        return a;
    }

    getDomain(url) {
        if (url === null)
            return url;
        return this.parseUrl(url).hostname
    }
}

const utils = new Utils()